> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapfy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> Lists the contacts known to the instance, each with its `phone` and names.



## OpenAPI

````yaml /en/api-reference/openapi.json get /contacts
openapi: 3.1.0
info:
  title: Zapfy API
  description: >-
    Multi-tenant WhatsApp API. Send messages and manage webhooks through a
    single surface.
  version: 1.0.0
servers:
  - url: https://api.zapfy.io/v1
security:
  - accountToken: []
paths:
  /contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: >-
        Lists the contacts known to the instance, each with its `phone` and
        names.
      responses:
        '200':
          $ref: '#/components/responses/ContactList'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
      security:
        - instanceToken: []
components:
  responses:
    ContactList:
      description: Instance contacts.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/ContactSummary'
    Error:
      description: Error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Instance not found
  schemas:
    ContactSummary:
      type: object
      properties:
        phone:
          type: string
          example: '5511999998888'
          description: Contact phone in E.164.
        name:
          type: string
          description: Contact's full name (address book).
          example: João Silva
        pushName:
          type: string
          description: Display name the contact set (pushName).
          example: João
        businessName:
          type: string
          description: Business name, when it is a business account.
          example: ''
  securitySchemes:
    accountToken:
      type: http
      scheme: bearer
      description: Account token (`zpfy_acct_...`) — manages instances and webhooks.
    instanceToken:
      type: http
      scheme: bearer
      description: Instance token (`zpfy_inst_...`) — sends messages.

````